VTK: vtkParticleTracerBaseNamespace::ParticleInformation_t Struct Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkParticleTracerBaseNamespace::ParticleInformation_t Struct Reference

`#include <vtkParticleTracerBase.h>`

Collaboration diagram for vtkParticleTracerBaseNamespace::ParticleInformation_t:
[legend]

## Public Attributes
Position | CurrentPosition
int | CachedDataSetId [2]
vtkIdType | CachedCellId [2]
int | LocationState
int | SourceID
int | TimeStepAge
int | InjectedPointId
int | InjectedStepId
int | UniqueParticleId
double | SimulationTime
int | ErrorCode
float | age
float | rotation
float | angularVel
float | time
float | speed
vtkIdType | PointId
vtkIdType | TailPointId

## Detailed Description

Definition at line 57 of file vtkParticleTracerBase.h.

## Member Data Documentation

## ◆ CurrentPosition

Position vtkParticleTracerBaseNamespace::ParticleInformation_t::CurrentPosition

Definition at line 60 of file vtkParticleTracerBase.h.

## ◆ CachedDataSetId

int vtkParticleTracerBaseNamespace::ParticleInformation_t::CachedDataSetId[2]

Definition at line 61 of file vtkParticleTracerBase.h.

## ◆ CachedCellId

vtkIdType vtkParticleTracerBaseNamespace::ParticleInformation_t::CachedCellId[2]

Definition at line 62 of file vtkParticleTracerBase.h.

## ◆ LocationState

int vtkParticleTracerBaseNamespace::ParticleInformation_t::LocationState

Definition at line 63 of file vtkParticleTracerBase.h.

## ◆ SourceID

int vtkParticleTracerBaseNamespace::ParticleInformation_t::SourceID

Definition at line 65 of file vtkParticleTracerBase.h.

## ◆ TimeStepAge

int vtkParticleTracerBaseNamespace::ParticleInformation_t::TimeStepAge

Definition at line 66 of file vtkParticleTracerBase.h.

## ◆ InjectedPointId

int vtkParticleTracerBaseNamespace::ParticleInformation_t::InjectedPointId

Definition at line 67 of file vtkParticleTracerBase.h.

## ◆ InjectedStepId

int vtkParticleTracerBaseNamespace::ParticleInformation_t::InjectedStepId

Definition at line 68 of file vtkParticleTracerBase.h.

## ◆ UniqueParticleId

int vtkParticleTracerBaseNamespace::ParticleInformation_t::UniqueParticleId

Definition at line 69 of file vtkParticleTracerBase.h.

## ◆ SimulationTime

double vtkParticleTracerBaseNamespace::ParticleInformation_t::SimulationTime

Definition at line 70 of file vtkParticleTracerBase.h.

## ◆ ErrorCode

int vtkParticleTracerBaseNamespace::ParticleInformation_t::ErrorCode

Definition at line 72 of file vtkParticleTracerBase.h.

## ◆ age

float vtkParticleTracerBaseNamespace::ParticleInformation_t::age

Definition at line 73 of file vtkParticleTracerBase.h.

## ◆ rotation

float vtkParticleTracerBaseNamespace::ParticleInformation_t::rotation

Definition at line 75 of file vtkParticleTracerBase.h.

## ◆ angularVel

float vtkParticleTracerBaseNamespace::ParticleInformation_t::angularVel

Definition at line 76 of file vtkParticleTracerBase.h.

## ◆ time

float vtkParticleTracerBaseNamespace::ParticleInformation_t::time

Definition at line 77 of file vtkParticleTracerBase.h.

## ◆ speed

float vtkParticleTracerBaseNamespace::ParticleInformation_t::speed

Definition at line 78 of file vtkParticleTracerBase.h.

## ◆ PointId

vtkIdType vtkParticleTracerBaseNamespace::ParticleInformation_t::PointId

Definition at line 81 of file vtkParticleTracerBase.h.

## ◆ TailPointId

vtkIdType vtkParticleTracerBaseNamespace::ParticleInformation_t::TailPointId

Definition at line 84 of file vtkParticleTracerBase.h.

The documentation for this struct was generated from the following file:

- Filters/FlowPaths/vtkParticleTracerBase.h